hakyll-4.4.3.0: A static website compiler library

Safe Haskell | None

Hakyll.Web.Paginate

Synopsis

- type PageNumber = Int
- data Paginate = Paginate {
  - paginatePages :: Map PageNumber [Identifier]
  - paginatePlaces :: Map Identifier PageNumber
  - paginateMakeId :: PageNumber -> Identifier
  - paginateDependency :: Dependency
  }
- buildPaginate :: MonadMetadata m => Pattern -> m Paginate
- buildPaginateWith :: MonadMetadata m => Int -> (PageNumber -> Identifier) -> Pattern -> m Paginate
- paginateRules :: Paginate -> (PageNumber -> Pattern -> Rules ()) -> Rules ()
- paginateContext :: Paginate -> Context a

# Documentation

type PageNumber = Int Source

data Paginate Source

Data about paginators

Constructors

Paginate |

Fields

paginatePages :: Map PageNumber [Identifier]
paginatePlaces :: Map Identifier PageNumber
paginateMakeId :: PageNumber -> Identifier
paginateDependency :: Dependency

Instances

Show Paginate |

buildPaginate :: MonadMetadata m => Pattern -> m Paginate Source

buildPaginateWith :: MonadMetadata m => Int -> (PageNumber -> Identifier) -> Pattern -> m Paginate Source

paginateRules :: Paginate -> (PageNumber -> Pattern -> Rules ()) -> Rules ()Source

paginateContext :: Paginate -> Context aSource